
<script src="<?php echo e(asset('archivos/librerias/toastify-js/v1.12.0/js/toastify.min.js')); ?>"></script>





<script src="<?php echo e(asset('archivos/librerias/select2/v4.1.0/js/select2.min.js')); ?>"></script>




<script>

	window.opener &&
	window.opener !== window &&
	document.querySelectorAll('body > :where(header, footer)').forEach(elemento =>
		elemento.classList.add('d-none')
	);

	window.aplicacion = {
		enlace: '<?php echo e(request()->path() === '/' ? request()->url : str_replace(request()->getPathInfo(), '', request()->url())); ?>',
		ruta: '<?php echo e(Route::currentRouteName()); ?>',
		configuracion: <?php echo json_encode(session('configuracion'), 15, 512) ?>,
		empresa: <?php echo json_encode(session('empresa'), 15, 512) ?>,
		programa: {
			generico: !!<?php echo e(in_array(Route::currentRouteName(), session('programas')['genericos']) ? 1 : 0); ?>,
			genericos: <?php echo json_encode(array_column(DB::select('SELECT LOWER(programa) FROM programas WHERE generico = 1'), ''), 512) ?>
		},
		peticion: {
			exitosa: {},
			completada: {},
			formulario: {
				campo: {},
				exitosa: {},
				completada: {}
			}
		},
		campo: { mascara: [], selector: [] }
	}

</script>


<script type="module" src="<?php echo e(asset('archivos/js/aplicacion/plantilla.js')); ?>"></script>
<?php /**PATH C:\xampp\htdocs\aplicaciones\empresa\sistemas\daite\resources\views/aplicacion/componentes/programacion.blade.php ENDPATH**/ ?>